

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class KeyboardShortcutsListener implements KeyListener
{
	private boolean isCtrlPressed = false;
	
	public boolean isCtrlPressed()
	{
		return isCtrlPressed;
	}

	@Override
	public void keyPressed(KeyEvent arg0)
	{
		if (arg0.getKeyCode() == KeyEvent.VK_CONTROL)
			isCtrlPressed = true;
	}

	@Override
	public void keyReleased(KeyEvent arg0) {
		
		if (arg0.getKeyCode() == KeyEvent.VK_CONTROL)
		{
			isCtrlPressed = false;
		}
		else if (isCtrlPressed)
		{
			int keyCode = arg0.getKeyCode();
			
			switch(keyCode)
			{
				case 90: //Z
					Application.getInstance().getCalendar().getSchedule().undo();
				break;
				
				case 89: //Y
					Application.getInstance().getCalendar().getSchedule().redo();
				break;
				
				case 78: //N
					Application.getInstance().getCalendar().getSchedule().clear();
				break;
				
				case 79: //O
					Application.getInstance().load();
				break;
				
				case 83: //S
					Application.getInstance().save();
				break;
				
				case 80: //P
					Application.getInstance().getCalendar().print();
				break;
				
			}
		}
	}

	@Override
	public void keyTyped(KeyEvent arg0) {}
	
}
