

import java.awt.*;

import javax.swing.*;

public class ResourceForm extends JDialog
{
	private static String FORM_TITLE = "Add resource";
	private static Dimension SIZE = new Dimension(200, 120);
	private static Insets INSETS = new Insets(3, 3, 3, 3);
	private static Point LOCATION = new Point(
				(Toolkit.getDefaultToolkit().getScreenSize().width - SIZE.width) / 2,
				(Toolkit.getDefaultToolkit().getScreenSize().height - SIZE.height) / 2);
	
	private String userInput;
	
	public ResourceForm()
	{
		this(Application.getInstance());
	}
	
	public ResourceForm(JFrame parent)
	{
		super(parent, FORM_TITLE, true);
		this.setLayout(new GridBagLayout());
		this.setLocation(LOCATION);

		Application.setSizeOf(this, SIZE);
		
		createResourceForm();
		
		this.setVisible(true);
	}
	
	private void createResourceForm() 
	{
		JLabel lblInstruction = new JLabel("Name:");
		
		JTextField txtUserInput = new JTextField();
		
		JButton btnOk = new JButton("Ok");
		btnOk.addActionListener(x -> 
		{
			userInput = txtUserInput.getText();
			this.dispose();
		});
		
		JButton btnCancel = new JButton("Cancel");
		btnCancel.addActionListener(x ->
		{
			this.dispose();
		});
		
		// for all
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.HORIZONTAL;
		c.insets = INSETS;
		c.weightx = 0.5;
		
		//lblInstruction
		c.gridwidth = 2;
		this.add(lblInstruction, c); // c.gridx = 0; c.gridy = 0; c.gridwidth = 2; 
		
		//txtUserInput
		c.gridy = 1;
		this.add(txtUserInput, c); // c.gridx = 0; c.gridy = 1; c.gridwidth = 2; 
		
		//btnOk
		c.gridwidth = 1;
		c.gridy = 2;
		this.add(btnOk, c); //c.gridx = 0; c.gridy = 2; c.gridwidth = 1; 
		
		//btnCancel
		c.gridx = 1;
		c.gridy = 2;
		this.add(btnCancel, c); //c.gridx = 1; c.gridy = 2; c.gridwidth = 2; 
	}
	
	public String getResourceName() //may add some validation?
	{
		return userInput;
	}

}
