

import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;

import javax.imageio.ImageIO;

public class ImageParser 
{
	public static List<Image> parseImages(String directory)
	{
		List<Image> images = new ArrayList<>();
		
		if (directory == null) throw new NullPointerException("path can't be null");
		
		File f = new File(directory);
		if (f.isDirectory()) // get all files from folder
		{
			try (Stream<Path> paths = Files.walk(Paths.get(directory))) 
			{
			    paths
			        .filter(Files::isRegularFile)
			        .forEach(x -> images.add(createImage(x)));
			} 
			catch (IOException e) 
			{
				e.printStackTrace();
			} 
		}
		
		return images;
	}
	
	private static BufferedImage createImage(Path path)
	{
		try 
		{
			BufferedImage image = ImageIO.read(path.toFile());
			return image;
		} 
		catch (IOException e) 
		{
			e.printStackTrace();
		}
		
		return null;
	}
}
