

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

import com.mindfusion.common.DateTime;

public class MonthMenu extends JPopupMenu 
{
    public MonthMenu() 
    {
    	Months[] months = Months.class.getEnumConstants();
    	
    	for(int i = 0; i < months.length; i++)
    	{
    		Months currentMonth = months[i];
    		JMenuItem item = currentMonth.getItem();
    		
    		item.addActionListener(new ActionListener()
    		{
				@Override
				public void actionPerformed(ActionEvent e) 
				{
					int year = Application.getInstance().getCalendar().getDate().getYear();
					
					int selectedMonth = currentMonth.getMonthValue();
					if (selectedMonth == 0) return;
							
					DateTime newDate = new DateTime(year, selectedMonth, 1);
					
					Application.getInstance().getCalendar().setDate(newDate);
				}
    		});
    		
    		this.add(item);
    	}
    }
}
